label {
    font-size: rem(13);
    line-height: 1;
    padding: 0;
    color: $black;
    +label{
        margin-left: rem(20);
    }
}

input, select {
    font-size: rem(13);
    border: rem(1) solid $grey300;
    color: $black;
    height: rem(32);
    border-radius: 2px;
    vertical-align: middle;

    &:focus {
        outline: 0;
    }
    &::placeholder {
        color: $grey500;
    }
}

select {
    option {
        &:hover {
            box-shadow: 0 0 10px 100px $black inset;
        }
    }
}

input[type=text],
input[type=number],
input[type=email],
input[type=tel] {
    padding: rem(4) rem(8);
    &.full-field {
        width: 100%;
        & + .full-field {
            margin-top: rem(10);
        }
    }
    &:disabled{
        background-color: $grey100;
    }
}

//230725
input[type=text]{
    & + .percent{
        line-height: 32px;
        margin: 0 5px;
    }
}


/* Custom styles for the radio */
.custom-radio{
    display: inline-block;
    min-height: auto;
    margin-right: rem(12);
}
input[type=radio] {
    vertical-align: middle;
    appearance: none;
    border: rem(1) solid $grey300;
    border-radius: 50%;
    width: rem(16);
    height: rem(16);
    transition: border 0.2s ease-out;
    padding: 0;
    margin: 0;
    background-color: $white;

    &:checked {
        border: rem(4) solid $primary600;
    }

    &:focus-visible {
        outline-offset: max(4px, 0.1em);
        outline: max(4px, 0.1em) dotted $primary600;
    }

    &:disabled {
        background-color: $grey200;
        opacity: 0.7;
        cursor: not-allowed;
    }

    &:disabled + span {
        opacity: 0.7;
        cursor: not-allowed;
    }
    & + label {
        vertical-align: middle;
        line-height: rem(16);
    }
}


/* Custom styles for the checkbox */
.custom-checkbox{
    display: inline-block;
    min-height: auto;

    padding-left: rem(6);

    label{
        line-height: 1.6;
    }

    input[type=checkbox] {
        display: none; 
        
        & + label {
            display: inline-block;
            position: relative;
            padding-left: rem(20);
            cursor: pointer;

            &.none{
                padding-left: rem(16);
                height: rem(20);
            }
            &::before {
                content: "";
                display: inline-block;
                position: absolute;
                left: 0;
                top: 2px;
                width: rem(16);
                height: rem(16);
                border-radius: rem(2);
                border: 1px solid $grey300;
                background-color: #fff;
            }
        }
        &:checked + label{
            &::before {
                background-color: $primary600;
                border-color: $primary600;
            }
            &::after {
                content: "";
                position: absolute;
                left: 6px;
                top: 4px;
                width: 5px;
                height: 10px;
                border: solid #fff;
                border-width: 0 2px 2px 0;
                transform: rotate(45deg);
            }
            &.secondary{
                &::before {
                    background-color: $secondary;
                    border-color: $secondary;
                }
            }
        }
    }

}

//Agenda Aside Search
.search-input-wrap{
    position: relative;
    width: 170px;
    height: rem(32);
    border-radius: rem(2);
    border: rem(1) solid $grey300;
    input{
        border: 0;
        width: 100%;
        height: rem(30);
        padding-left: rem(32);
        font-size: rem(13);
    }
    .btn-search{
        position: absolute;
        top: 0;
        left: 0;
        height: 30px;
        width: 30px;
    }
}

.search-input-wrap2{
    display: flex;
    align-items: center;
    position: relative;
    flex-wrap: wrap;
    height: fit-content;
    border-radius: rem(2);
    border: rem(1) solid $grey300;
    background-color: $white;
    font-size: rem(13);

    .btn-search{
        width: rem(30);
        height: rem(30);
    }

    input{
        border: 0;
        width: calc(100% - 32px);
        height: rem(30);
    }

    //230725
    &.disabled{
        background-color: $grey100;
    }

    .filled-txt-wrap{
        flex: 1;
    }
}


.bg-grey{
    background-color: $grey100;
    
    .btn-search,
    input{
      background-color: transparent;
    }
    
  }

//Textarea
.form-control {
    height: rem(90);
    border: 1px solid $grey300;
    color: $black;
    border-radius: rem(2);
    font-size: rem(13);
    padding: rem(8);
    resize: none;

    &::placeholder {
        vertical-align: middle;
        line-height: 100%;
        color: $grey500;
        
    }
    
    &:focus {
        outline: 0;
        border-color: $grey300;
        box-shadow: none !important;
    }
}

//Form box
.form-box-wrap{
    position: relative;
    padding: rem(24);
    border: 1px solid $grey300;
    border-radius: rem(2);
    background-color: $grey50;
    margin-bottom: rem(25);

    .row{
        margin: 0;
        & + .row{
            margin-top: rem(20);
        }
    }
    .col-label{
        flex: 0 0 rem(80);
        padding: 0;
        font-weight: $bold;
        line-height: 1.5;
    }
    .label{
        padding: 0;
        font-weight: $bold;
        line-height: 1.5;
        font-size: rem(13);

        .required {
            position: relative;
            
            &::before {
                position: absolute;
                left: -6px;
                top: -15px;
                content: "";
                display: inline-block;
                width: rem(4);
                height: rem(4);
                border-radius: 50%;
                background-color: $error;
            }
        }
    }

    .btns{
        position: absolute;
        bottom: rem(25);
        right: rem(25);

        &.top{
            bottom: auto;
            top: rem(22);
        }
    }

    .hr{
        width: 100%;
        height: rem(1);
        background-color: $grey300;
        margin: rem(25) 0;
    }

    .hide-item{
        display: none;
    }
}

//Wijmo overriding
.wj-content{
    border-color: $grey300 !important; //230704
    border-radius: rem(2) !important; //230704
}
.wj-control {
    *{
        box-sizing: border-box !important; //230704
    }
    .wj-input-group {
        .wj-form-control{
            min-height: rem(30) !important; //230704
        }
        .wj-input-group-btn {
            &:first-child {
                &:not(:last-child) {
                    & > .wj-btn{
                        padding: 0 5px !important; //230725
                        border-right: 0 !important; //230725
                    }
                }
            }
            &:last-child {
                &:not(:first-child) {
                    & > .wj-btn{
                        border-left: 0 !important; //230704
                    }
                }
            }
        }
    }
    &.wj-inputdaterange{
        .wj-input-group{
            width: 220px;
            .wj-form-control{
                padding-right: 0;
            }
        }
    }
    &.wj-state-disabled:not(.wj-popup){
        opacity: 1;
        background-color: $grey100;
    }
}

.wj-glyph-down {
    border-top: 0.3em solid !important; //230704
    border-right: 0.3em solid transparent !important; //230704
    border-left: 0.3em solid transparent !important; //230704
    top: -2px  !important;
}

.wj-labeled-input{
    margin: 0;
    padding: 0 0 rem(20);
    width: rem(35);
    height: 0;

    &.switch {
        input[type=checkbox]{
            & +label{
                &::after{
                    background-color: $white !important; //230704
                    border: 2px solid $grey500 !important; //230704
                }
            }
            
            &:checked{
                & +label{
                    &::before{
                        background: $primary600 url(../img/ico-check-input.png) no-repeat 5px center !important; //230704
                        opacity: 1 !important; //230704
                        cursor: pointer !important; //230704
                    }
                    &::after{
                        background-color: $white !important; //230704
                        border: 2px solid $primary600 !important; //230704
                    }
                    &:hover{
                        &::after{
                           box-shadow: none !important; //230704
                        }
                    }
                }
                &:disabled{
                    & +label{
                        opacity: 0.5 !important;
                       
                    }
                }
            }

            &:disabled{
                & +label{
                    opacity: 0.5 !important;
                   
                }
            }
        }
    }
}

//DateTime
.inputdatetime-wrap{
    display: flex;
    align-items: center;
    gap: 5px;

    .inputdatetime{
        width: rem(200);
        &.wj-control{
            .wj-template{
                .wj-btn-default{
                    padding: 0 3px;
                }
                .wj-glyph-calendar{
                    width: rem(16) !important;
                    height: rem(16) !important;
                    top: rem(4) !important;
                    border: 0 !important;
                    background: url(../img/ico-calendar.png) no-repeat  !important;
                    &::after{
                        display: none  !important;
                    }
                }
                .wj-glyph-clock{
                    
                    width: rem(16) !important;
                    height: rem(16) !important;
                    top: rem(4) !important;
                    border: 0 !important;
                    background: url(../img/ico-time.png) no-repeat  !important;
                    &::after{
                        display: none  !important;
                    }
                }
            }
        }
    }

    .combo{
        display: block;
        height: rem(32);
        &.wj-control{
            .wj-template{
                display: block !important;
            }
        }
    }

    .switch{
        margin-top: -5px
    }

    .txt{
        line-height: 14px;
        & + .icon{
            margin-left: 10px;
        }
    }
}

//230725
.wj-state-selected{
    color: inherit;
    background-color: $secondary100;
}

//bootstrap button group checkbox
.btn-group{
    .btn{
        &:focus-visible{
         box-shadow: none;
        }
    }
    .btn-outline-primary{
        height: rem(28);
        font-size: rem(12);
        color: $grey700;
        background: $white;
        border: 1px solid $grey400;
        border-radius: 15px !important;
        margin: rem(2) rem(4);
    }

    .btn-check{
        & + .btn{
            &:hover{
                color: $primary600;
                background: $white;
                border-color:$primary600;
            }
        }
        &:checked{
            & +.btn{
                color: $primary600;
                background: $white;
                border-color:$primary600;
                
            }
        }
    }

    &.has-ico{
        .btn-check{
            & + .btn{
                &:hover{
                    padding-right: rem(30);
                    background:#fff url(../img/ico-btn-checked.png) no-repeat right 10px center;
                }
            }
            &:checked{
                & +.btn{
                    padding-right: rem(30);
                    background:#fff url(../img/ico-btn-checked.png) no-repeat right 10px center;
                }
            }
        }
    }
}



//Multiselect
.multiselect-wrap{
    position: relative;
    min-height: rem(32);
    line-height: rem(13);

    .checked-item{
        position: absolute;
        top: rem(1);
        left: rem(1);
        width: calc(100% - 30px);
        background: $white;

        .selected{
            display: inline-block;
            padding: rem(3) rem(10);
            margin: rem(2);
            height: rem(24);
            background: $grey100;
            border-radius: rem(12);

            span{
                vertical-align: middle;
                line-height: rem(18);
            }
            button{
                padding: 0 0 0 rem(2);
                opacity: .6;
                &:hover,
                &:focus,
                &:active{
                    opacity: 1;
                }
            }
        }
    }
}

.wj-multiselectlistbox{
    .wj-listbox{
        .wj-listbox-item{
            cursor: pointer;
            padding: rem(5);

           &.wj-state-selected{
                background-color: $white;
           }
           &.wj-state-checked{
                label{
                    &::before {
                        background-color: #554596;
                        border-color: #554596;
                    }
                    &::after {
                        content: "";
                        position: absolute;
                        left: 8px;
                        top: 4px;
                        width: 5px;
                        height: 10px;
                        border: solid $white;
                        border-width: 0 2px 2px 0;
                        transform: rotate(45deg);
                    }
                }
           }

           label{
                align-items: center;
                position: relative;

                &::before {
                    content: "";
                    display: inline-block;
                    position: absolute;
                    left: 2px;
                    top: 2px;
                    width: 1rem;
                    height: 1rem;
                    border-radius: 0.125rem;
                    border: 1px solid #DDE0DF;
                    background-color: $white;
                }                
                input[type=checkbox]{
                    height: auto;
               }
           }
        }
    }
}


.combo{
    display: inline-block !important;
    height: rem(28);
    margin: 0 rem(5);

    &.wj-control {
        .wj-input-group {
            .wj-form-control{
                min-height: rem(26) !important;
                padding-right: 0 !important;
            }
            .wj-input-group-btn {
                &:last-child {
                    &:not(:first-child) {
                        & > .wj-btn{
                            height: 26px  !important;
                        }
                    }
                }
            }
        }
    }
}